WPML add-on

wpml_banner_v1_260x125_en

29.99€

Add to cart

This add-on will migrate your multilingual data from PrestaShop to WordPress.

You also need WPML to manage your multilingual content in WordPress.

Features

The WPML add-on migrates:

  • the product translations
  • the product categories translations
  • the CMS categories translations
  • the CMS articles translations
  • the manufacturers translations
  • the attributes translations

Requirements

This add-on requires the main plugin FG PrestaShop to WooCommerce Premium.

It also requires the free WooCommerce plugin.

It also requires the WPML plugin.

WPML Change log

1.7.1

Fixed: The field “This is a translation of” was not set correctly
Tested with WPML 3.8

1.7.0

New: Ability to update the existing translations
Fixed: [ERROR] Error:SQLSTATE[42S02]: Base table or view not found: 1146 Table ‘ps_lang_shop’ doesn’t exist (PS 1.4 and less)

1.6.3

Fixed: Some categories imported in wrong language
Fixed: Notice: Undefined index: id_parent
Fixed: Notice: Undefined index: id_category

1.6.2

Fixed: Product categories translations with duplicated names were not imported

1.6.1

Fixed: Product categories were imported as duplicates when using multi-shops

1.6.0

New: Import the translations stored in all the shops
Tested with WordPress 4.8

1.5.0

New: Import the attributes translations

1.4.1

Fixed: Categories were not assigned to the products in the translated languages
Fixed: Notice: Undefined index: id_shop_default
Tested with WordPress 4.7

1.4.0

New: Compatibility with PrestaShop 1.3

1.3.0

New: Import the manufacturers translations
Tested with WordPress 4.6

1.2.0

Fixed: Languages with codes like “pt-pt” were not imported
Tested with WordPress 4.5

1.1.0

Tweak: Use the WordPress 4.4 term metas
Tested with WordPress 4.4

1.0.3

Fixed: Notice: Undefined index: id_cms_category

1.0.2

Fixed: Fatal error: Function name must be a string (compatibility issue with PHP < 5.4)

1.0.1

Fixed: Fatal error: Function name must be a string (compatibility issue with PHP < 5.4)

1.0.0

Initial version